Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000007Zandronum[All Projects] Bugpublic2010-09-06 21:472018-09-30 19:48
ReporterAnonymous 
Assigned ToTorr Samaho 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version98c 
Target VersionFixed in Version98d 
Summary0000007: Copy + Paste basically freezes skulltag...
DescriptionBasically, on your name try pasting (ctrl + p), and it freezes...
Steps To Reproducestart skulltag
go to any server
clear your name
cope and paste something... ( I pasted a link)

Wallaa, you dont even need to hit enter, it'll auto freeze
Additional InformationUse task manager to X it out.
Attached Files

- Relationships

-  Notes
User avatar (0000008)
Torr Samaho (administrator)
2010-09-07 05:25

Please elaborate: What do you mean by "clear your name"? And where shall something be pasted? Are you talking about the multiplayer options menu?
(0000009)
Anonymous (viewer)
2010-09-08 05:09

Meaning delete everything on your name, and paste a link, any link. Pasted on multiplayer > player setup > name.

To sum it up, when you are changing your name, pasting anything to your name freezes skulltag.
User avatar (0000013)
Torr Samaho (administrator)
2010-09-09 19:49

Does it also freeze in GZDoom 323 (http://sp.drdteam.org/gzdoom-r322(323).zip)? If so, does it freeze in the latest GZDoom version?
(0000015)
Anonymous (viewer)
2010-09-09 22:05

GZdoom doesn't work for me. So you'll have to test it. OR just give me another engine to test it with.
User avatar (0000018)
Torr Samaho (administrator)
2010-09-10 06:35

Did you try the special GZDoom version I linked? If Skulltag works, this GZDoom version should work too. Otherwise you can test ZDoom, preferably revision 1551.
User avatar (0000027)
unknownna (updater)
2010-09-11 07:34

Confirmed in 98c, 96b and 97d-beta4.3, but it has nothing to do with the actual link you copy-paste, but the length of the string you paste into the nameplate. Testing indicates that it takes exactly 63 letters copy-pasted into the nameplate to make it freeze.

You cannot copy-paste or make your name blank in (G)ZDoom, it seems. So there's no way to make it occur there, AFAIK. Tested with GZDoom 323 and ZDoom 2.5.0

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2010-09-06 21:47 Anonymous New Issue
2010-09-07 05:25 Torr Samaho Note Added: 0000008
2010-09-08 05:09 Anonymous Note Added: 0000009
2010-09-09 05:28 Anonymous Note Added: 0000010
2010-09-09 05:28 Anonymous Note Edited: 0000010 View Revisions
2010-09-09 19:49 Torr Samaho Note Added: 0000013
2010-09-09 19:49 Torr Samaho Assigned To => Torr Samaho
2010-09-09 19:49 Torr Samaho Status new => feedback
2010-09-09 19:50 Torr Samaho Note Deleted: 0000010
2010-09-09 19:51 Torr Samaho Assigned To Torr Samaho =>
2010-09-09 19:51 Torr Samaho Priority high => normal
2010-09-09 19:51 Torr Samaho Severity major => minor
2010-09-09 22:05 Anonymous Note Added: 0000015
2010-09-09 22:05 Anonymous Status feedback => new
2010-09-10 06:35 Torr Samaho Note Added: 0000018
2010-09-10 06:35 Torr Samaho Status new => feedback
2010-09-11 07:34 unknownna Note Added: 0000027
2010-09-11 12:45 Torr Samaho Assigned To => Torr Samaho
2010-09-11 12:45 Torr Samaho Status feedback => confirmed
2010-09-11 13:03 Torr Samaho Status confirmed => resolved
2010-09-11 13:03 Torr Samaho Fixed in Version => 98d
2010-09-11 13:03 Torr Samaho Resolution open => fixed
2012-06-09 13:22 Torr Samaho Category General => Bug
2018-09-30 19:48 Blzut3 Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker